package com.casic.dcms.model;

import java.util.List;

public class WellListBean {

    private int code;
    private DataBean data;
    private String message;
    private boolean success;

    public int getCode() {
        return code;
    }

    public void setCode(int code) {
        this.code = code;
    }

    public DataBean getData() {
        return data;
    }

    public void setData(DataBean data) {
        this.data = data;
    }

    public String getMessage() {
        return message;
    }

    public void setMessage(String message) {
        this.message = message;
    }

    public boolean isSuccess() {
        return success;
    }

    public void setSuccess(boolean success) {
        this.success = success;
    }

    public static class DataBean {
        private List<RowsBean> rows;
        private int total;

        public List<RowsBean> getRows() {
            return rows;
        }

        public void setRows(List<RowsBean> rows) {
            this.rows = rows;
        }

        public int getTotal() {
            return total;
        }

        public void setTotal(int total) {
            this.total = total;
        }

        public static class RowsBean {
            private String area;
            private String bfzt;
            private String bfztName;
            private String coordinateX;
            private String coordinateY;
            private String deep;
            private String deptName;
            private String deptid;
            private String deviceCount;
            private String id;
            private String latBaidu;
            private String latGaode;
            private String lngBaidu;
            private String lngGaode;
            private String notes;
            private String photos;
            private String position;
            private String qu;
            private String responsibleDept;
            private String responsibleDeptName;
            private String ts;
            private String valid;
            private String wellCode;
            private String wellFlag1;
            private String wellFlag2;
            private String wellFlag3;
            private String wellName;
            private String wellType;
            private String wellTypeName;

            public String getArea() {
                return area;
            }

            public void setArea(String area) {
                this.area = area;
            }

            public String getBfzt() {
                return bfzt;
            }

            public void setBfzt(String bfzt) {
                this.bfzt = bfzt;
            }

            public String getBfztName() {
                return bfztName;
            }

            public void setBfztName(String bfztName) {
                this.bfztName = bfztName;
            }

            public String getCoordinateX() {
                return coordinateX;
            }

            public void setCoordinateX(String coordinateX) {
                this.coordinateX = coordinateX;
            }

            public String getCoordinateY() {
                return coordinateY;
            }

            public void setCoordinateY(String coordinateY) {
                this.coordinateY = coordinateY;
            }

            public String getDeep() {
                return deep;
            }

            public void setDeep(String deep) {
                this.deep = deep;
            }

            public String getDeptName() {
                return deptName;
            }

            public void setDeptName(String deptName) {
                this.deptName = deptName;
            }

            public String getDeptid() {
                return deptid;
            }

            public void setDeptid(String deptid) {
                this.deptid = deptid;
            }

            public String getDeviceCount() {
                return deviceCount;
            }

            public void setDeviceCount(String deviceCount) {
                this.deviceCount = deviceCount;
            }

            public String getId() {
                return id;
            }

            public void setId(String id) {
                this.id = id;
            }

            public String getLatBaidu() {
                return latBaidu;
            }

            public void setLatBaidu(String latBaidu) {
                this.latBaidu = latBaidu;
            }

            public String getLatGaode() {
                return latGaode;
            }

            public void setLatGaode(String latGaode) {
                this.latGaode = latGaode;
            }

            public String getLngBaidu() {
                return lngBaidu;
            }

            public void setLngBaidu(String lngBaidu) {
                this.lngBaidu = lngBaidu;
            }

            public String getLngGaode() {
                return lngGaode;
            }

            public void setLngGaode(String lngGaode) {
                this.lngGaode = lngGaode;
            }

            public String getNotes() {
                return notes;
            }

            public void setNotes(String notes) {
                this.notes = notes;
            }

            public String getPhotos() {
                return photos;
            }

            public void setPhotos(String photos) {
                this.photos = photos;
            }

            public String getPosition() {
                return position;
            }

            public void setPosition(String position) {
                this.position = position;
            }

            public String getQu() {
                return qu;
            }

            public void setQu(String qu) {
                this.qu = qu;
            }

            public String getResponsibleDept() {
                return responsibleDept;
            }

            public void setResponsibleDept(String responsibleDept) {
                this.responsibleDept = responsibleDept;
            }

            public String getResponsibleDeptName() {
                return responsibleDeptName;
            }

            public void setResponsibleDeptName(String responsibleDeptName) {
                this.responsibleDeptName = responsibleDeptName;
            }

            public String getTs() {
                return ts;
            }

            public void setTs(String ts) {
                this.ts = ts;
            }

            public String getValid() {
                return valid;
            }

            public void setValid(String valid) {
                this.valid = valid;
            }

            public String getWellCode() {
                return wellCode;
            }

            public void setWellCode(String wellCode) {
                this.wellCode = wellCode;
            }

            public String getWellFlag1() {
                return wellFlag1;
            }

            public void setWellFlag1(String wellFlag1) {
                this.wellFlag1 = wellFlag1;
            }

            public String getWellFlag2() {
                return wellFlag2;
            }

            public void setWellFlag2(String wellFlag2) {
                this.wellFlag2 = wellFlag2;
            }

            public String getWellFlag3() {
                return wellFlag3;
            }

            public void setWellFlag3(String wellFlag3) {
                this.wellFlag3 = wellFlag3;
            }

            public String getWellName() {
                return wellName;
            }

            public void setWellName(String wellName) {
                this.wellName = wellName;
            }

            public String getWellType() {
                return wellType;
            }

            public void setWellType(String wellType) {
                this.wellType = wellType;
            }

            public String getWellTypeName() {
                return wellTypeName;
            }

            public void setWellTypeName(String wellTypeName) {
                this.wellTypeName = wellTypeName;
            }
        }
    }
}
